Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/etc/rc.d Shell programming police for sophistication. It's ...



details:   https://anonhg.NetBSD.org/src/rev/40b6135d7997
branches:  trunk
changeset: 499498:40b6135d7997
user:      nisimura <nisimura%NetBSD.org@localhost>
date:      Tue Nov 21 08:39:50 2000 +0000

description:
Shell programming police for sophistication.  It's not necessary
to enclose `prog` backquote command substitution with double quotes
as it produces a quoted string.  Other changes are pending this time.

diffstat:

 etc/rc.d/network |  10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

diffs (47 lines):

diff -r 9ba534e96a57 -r 40b6135d7997 etc/rc.d/network
--- a/etc/rc.d/network  Tue Nov 21 08:14:17 2000 +0000
+++ b/etc/rc.d/network  Tue Nov 21 08:39:50 2000 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $NetBSD: network,v 1.21 2000/11/17 04:19:06 lukem Exp $
+# $NetBSD: network,v 1.22 2000/11/21 08:39:50 nisimura Exp $
 #
 
 # PROVIDE: network
@@ -32,7 +32,7 @@
                # DHCP later, as we will probably get the
                # hostname at that time.
                #
-               if ! checkyesno dhclient && [ -z "`hostname`" ]; then
+               if ! checkyesno dhclient && [ -z `hostname` ]; then
                        warn "\$hostname not set."
                fi
        fi
@@ -90,7 +90,7 @@
        #
        if [ "$net_interfaces" != NO ]; then
                if checkyesno auto_ifconfig; then
-                       tmp="`ifconfig -l`"
+                       tmp=`ifconfig -l`
                        for cloner in `ifconfig -C 2>/dev/null`; do
                                for int \
                    in `/bin/ls /etc/ifconfig.${cloner}[0-9]* 2>/dev/null`; do
@@ -103,7 +103,7 @@
                echo -n 'Configuring network interfaces:'
                for int in $tmp; do
                        eval args=\$ifconfig_$int
-                       if [ -n "$args" ]; then
+                       f [ -n "$args" ]; then
                                echo -n " $int"
                                ifconfig $int $args
                        elif [ -f /etc/ifconfig.$int ]; then
@@ -348,7 +348,7 @@
        echo -n 'Downing network interfaces:'
        if [ "$net_interfaces" != NO ]; then
                if checkyesno auto_ifconfig; then
-                       tmp="`ifconfig -l`"
+                       tmp=`ifconfig -l`
                else
                        tmp="$net_interfaces"
                fi



Home | Main Index | Thread Index | Old Index